require_relative 'docker_service'

module Pygmy
  class Dnsmasq
    extend Pygmy::DockerService

    def self.image_name
      'andyshinn/dnsmasq:2.75'
    end

    def self.container_name
      'amazeeio-dnsmasq'
    end

    def self.domain
      'docker.amazee.io'
    end

    def self.addr
      '127.0.0.1'
    end

    def self.run_cmd(domain = self.domain, addr = self.addr)
      "docker run -d -p 53:53/tcp -p 53:53/udp --name=amazeeio-dnsmasq --cap-add=NET_ADMIN andyshinn/dnsmasq:2.75 -A /local.dev/127.0.0.1"
    end
  end
end
